/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

body {
  background-image: url('fish.jpg');
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  color: White;
  font-family: "Segoe UI", Tahoma, sans-serif;
}
a {
  color: skyblue;
}
a:hover {
  letter-spacing:1px;
  transition:.4s;
}
main {
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
}
inblockmain {
  display: grid;
  grid-template-columns: 1fr 1fr;
}
header {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; 
  padding: 5px;
}
h1 {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; 
}
.block {
  background: rgba(39, 39, 39, 0.5);
  color: White;
  padding: 10px;
  box-shadow: 0 8px 32px rgba(0, 0, 0, 0.4);
  border: 1px solid rgba(255, 255, 255, 0.2);
  transition: all 0.3s ease-in-out;
  border-width: 2px;
  border-radius: 10px;
  margin-left: 20px;
  margin-right: 20px;
  margin-bottom: 2px;
  margin-top: 2px;
  backdrop-filter: blur(2px);
}
.block:hover {
  box-shadow: 0 12px 40px rgba(0, 0, 0, 0.5); 
}
.inblockhead {
  background: rgba(39, 39, 39, 0.5);
  font-size: 13px;
  color: rgba(125, 249, 255, 0.75);
  padding: 5px;
  border: solid;
  border-color: rgba(125, 249, 255, 0.75);
  border-radius: 10px;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 2px;
  backdrop-filter: blur(5px);
} 
.inblock {
  color: white;
  margin-top: -25px;
  font-size: 16px;
}
#top-albums{
 display: flex;
 flex-wrap: wrap;
 gap: 16px;
 justify-content: center;
}
.album-card {
  width: 115px;
  text-align: center;
}
.album-card img {
  width: 100%;
  height: 115px;
  object-fit: cover;
  border-radius: 6px;
}
.album-card img:hover{
  transform: scale(1.02);
  transition: 0.3s;
  box-shadow: 0 12px 40px rgba(0, 0, 0, 0.5);
}
.album-info strong {
  display: block;
  font-size: 0.9em;
  margin-top: 6px;
}
.album-info p {
 margin: 2px 0;
 font-size: 0.8em;
}